kernel still breaking. updated name which may have been issue

This commit is contained in:
tumillanino
2026-04-09 15:58:55 +10:00
parent 1c59f8a718
commit c6ffa3591f
155 changed files with 6219 additions and 1 deletions

View File

@@ -0,0 +1,43 @@
name: Build autosolarpowered
on:
schedule:
- cron: "00 18 * * 1,5" # build at 17:30 every Monday & Friday
push: # build on push
paths: # build on push of the following files
- "recipes/images/autosolarpowered.yml" # solarpowered recipe
- "recipes/images/autosolarpowered-ex.yml" # solarpowered-ex recipe
pull_request: # allow PRs triggering builds
workflow_dispatch: # allow manually triggering builds
concurrency:
# only run one build at a time
group: ${{ github.workflow }}-${{ github.ref || github.run_id }}
cancel-in-progress: true
jobs:
bluebuild:
name: Build
runs-on: ubuntu-latest
permissions:
contents: read
packages: write
id-token: write
strategy:
fail-fast: false # stop GH from cancelling all matrix builds if one fails
matrix:
recipe:
- images/autosolarpowered.yml
- images/autosolarpowered-ex.yml
steps:
# the build is fully handled by the reusable github action
- name: Build Custom Image
uses: blue-build/github-action@v1.8
with:
recipe: ${{ matrix.recipe }}
rechunk: true
cosign_private_key: ${{ secrets.SIGNING_SECRET }}
registry_token: ${{ github.token }}
pr_event_number: ${{ github.event.number }}
# enabled by default, disable if your image is small and you want faster builds
maximize_build_space: true

View File

@@ -0,0 +1,37 @@
name: Build bootc images
on:
schedule:
- cron: "00 18 * * 4" # build at 18:00 UTC every Thursday
push:
paths:
- "recipes/base/base-bootc.yml" # base of bootc images
- "recipes/solarpowered-bootc.yml" # solarpowered-bootc recipe
- "recipes/solarpowered-ex-bootc.yml" # solarpowered-bootc recipe
pull_request: # allow PRs triggering builds
workflow_dispatch: # allow manually triggering builds
jobs:
bluebuild:
name: Build
runs-on: ubuntu-latest
permissions:
contents: read
packages: write
id-token: write
strategy:
fail-fast: false # stop GH from cancelling all matrix builds if one fails
matrix:
recipe:
- solarpowered-bootc.yml
- solarpowered-ex-bootc.yml
steps:
# the build is fully handled by the reusable github action
- name: Build Custom Image
uses: blue-build/github-action@v1.8
with:
recipe: ${{ matrix.recipe }}
rechunk: true
cosign_private_key: ${{ secrets.SIGNING_SECRET }}
registry_token: ${{ github.token }}
pr_event_number: ${{ github.event.number }}

View File

@@ -0,0 +1,34 @@
name: Build solarpowered-raw
on:
schedule:
- cron: "00 17 * * 1,3,5" # build at 17:00 UTC every Monday, Wednesday & Friday
push:
paths: # trigger build only if solarpowered-ex.yml is updated
- "recipes/solarpowered-raw.yml"
pull_request: # allow PRs triggering builds
workflow_dispatch: # allow manually triggering builds
jobs:
bluebuild:
name: Build
runs-on: ubuntu-latest
permissions:
contents: read
packages: write
id-token: write
strategy:
fail-fast: false # stop GH from cancelling all matrix builds if one fails
matrix:
recipe:
- solarpowered-raw.yml
steps:
# the build is fully handled by the reusable github action
- name: Build Custom Image
uses: blue-build/github-action@v1.8
with:
recipe: ${{ matrix.recipe }}
rechunk: true
cosign_private_key: ${{ secrets.SIGNING_SECRET }}
registry_token: ${{ github.token }}
pr_event_number: ${{ github.event.number }}

View File

@@ -0,0 +1,43 @@
name: Build solarizzed
on:
schedule:
- cron: "00 6 * * 1,5" # build at 6 AM UTC every Monday & Friday
push: # build on push
paths: # build on push of the following files
# - "recipes/images/solarizzed.yml" # solarizzed recipe
- "recipes/images/solarizzed-gnome.yml" # solarizzed recipe
pull_request: # allow PRs triggering builds
workflow_dispatch: # allow manually triggering builds
concurrency:
# only run one build at a time
group: ${{ github.workflow }}-${{ github.ref || github.run_id }}
cancel-in-progress: true
jobs:
bluebuild:
name: Build
runs-on: ubuntu-latest
permissions:
contents: read
packages: write
id-token: write
strategy:
fail-fast: false # stop GH from cancelling all matrix builds if one fails
matrix:
recipe:
# - images/solarizzed.yml
- images/solarizzed-gnome.yml
steps:
# the build is fully handled by the reusable github action
- name: Build Custom Image
uses: blue-build/github-action@v1.9
with:
recipe: ${{ matrix.recipe }}
rechunk: true
cosign_private_key: ${{ secrets.SIGNING_SECRET }}
registry_token: ${{ github.token }}
pr_event_number: ${{ github.event.number }}
# enabled by default, disable if your image is small and you want faster builds
maximize_build_space: true

View File

@@ -0,0 +1,43 @@
name: Build solarpowered-rawhide
on:
# schedule:
# - cron: "00 18 * * 1,5" # build at 17:30 every Monday & Friday
push: # build on push
paths: # build on push of the following files
- "recipes/images/solarpowered-rawhide.yml" # solarpowered recipe
- "recipes/images/solarpowered-ex-rawhide.yml" # solarpowered-ex recipe
pull_request: # allow PRs triggering builds
workflow_dispatch: # allow manually triggering builds
concurrency:
# only run one build at a time
group: ${{ github.workflow }}-${{ github.ref || github.run_id }}
cancel-in-progress: true
jobs:
bluebuild:
name: Build
runs-on: ubuntu-latest
permissions:
contents: read
packages: write
id-token: write
strategy:
fail-fast: false # stop GH from cancelling all matrix builds if one fails
matrix:
recipe:
- images/solarpowered-rawhide.yml
- images/solarpowered-ex-rawhide.yml
steps:
# the build is fully handled by the reusable github action
- name: Build Custom Image
uses: blue-build/github-action@v1.8
with:
recipe: ${{ matrix.recipe }}
rechunk: true
cosign_private_key: ${{ secrets.SIGNING_SECRET }}
registry_token: ${{ github.token }}
pr_event_number: ${{ github.event.number }}
# enabled by default, disable if your image is small and you want faster builds
maximize_build_space: true

View File

@@ -0,0 +1,3 @@
# archives
This folder is for placing archived recipes/files. For reference only.

View File

@@ -0,0 +1,25 @@
#!/usr/bin/env bash
set -ouex pipefail
OS_VERSION=$(rpm -E %fedora)
VER=$(basename $(curl -Ls -o /dev/null -w %{url_effective} https://github.com/bazzite-org/kernel-bazzite/releases/latest))
dnf -y remove kernel-* && rm -drf /usr/lib/modules/*
echo 'Installing Bazzite kernel...'
dnf install -y \
https://github.com/bazzite-org/kernel-bazzite/releases/download/$VER/kernel-$VER.fc$OS_VERSION.x86_64.rpm \
https://github.com/bazzite-org/kernel-bazzite/releases/download/$VER/kernel-common-$VER.fc$OS_VERSION.x86_64.rpm \
https://github.com/bazzite-org/kernel-bazzite/releases/download/$VER/kernel-core-$VER.fc$OS_VERSION.x86_64.rpm \
https://github.com/bazzite-org/kernel-bazzite/releases/download/$VER/kernel-devel-$VER.fc$OS_VERSION.x86_64.rpm \
https://github.com/bazzite-org/kernel-bazzite/releases/download/$VER/kernel-devel-matched-$VER.fc$OS_VERSION.x86_64.rpm \
https://github.com/bazzite-org/kernel-bazzite/releases/download/$VER/kernel-modules-$VER.fc$OS_VERSION.x86_64.rpm \
https://github.com/bazzite-org/kernel-bazzite/releases/download/$VER/kernel-modules-akmods-$VER.fc$OS_VERSION.x86_64.rpm \
https://github.com/bazzite-org/kernel-bazzite/releases/download/$VER/kernel-modules-core-$VER.fc$OS_VERSION.x86_64.rpm \
https://github.com/bazzite-org/kernel-bazzite/releases/download/$VER/kernel-modules-extra-$VER.fc$OS_VERSION.x86_64.rpm \
https://github.com/bazzite-org/kernel-bazzite/releases/download/$VER/kernel-modules-extra-matched-$VER.fc$OS_VERSION.x86_64.rpm \
https://github.com/bazzite-org/kernel-bazzite/releases/download/$VER/kernel-modules-internal-$VER.fc$OS_VERSION.x86_64.rpm \
https://github.com/bazzite-org/kernel-bazzite/releases/download/$VER/kernel-tools-$VER.fc$OS_VERSION.x86_64.rpm \
https://github.com/bazzite-org/kernel-bazzite/releases/download/$VER/kernel-tools-libs-$VER.fc$OS_VERSION.x86_64.rpm

View File

@@ -0,0 +1,9 @@
#!/usr/bin/env bash
set -euo pipefail
# find latest version of cosign
LATEST_VERSION=$(curl https://api.github.com/repos/sigstore/cosign/releases/latest | grep tag_name | cut -d : -f2 | tr -d "v\", ")
# download & install cosign
rpm-ostree install https://github.com/sigstore/cosign/releases/latest/download/cosign-${LATEST_VERSION}-1.x86_64.rpm

View File

@@ -0,0 +1,9 @@
#!/usr/bin/env bash
set -euo pipefail
sudo sed -i 's/enabled=1/enabled=0/' \
/etc/yum.repos.d/_copr:copr.fedorainfracloud.org:phracek:PyCharm.repo \
/etc/yum.repos.d/google-chrome.repo \
/etc/yum.repos.d/rpmfusion-nonfree-nvidia-driver.repo \
/etc/yum.repos.d/rpmfusion-nonfree-steam.repo

View File

@@ -0,0 +1,20 @@
#!/usr/bin/env bash
set -euo pipefail
# Replace multimedia packages with ones from negativo17-multimedia-repo
echo 'Replacing multimedia packages to packages from negativo17-multimedia-repo'
rpm-ostree override replace --experimental --from repo='fedora-multimedia' \
libheif \
libva \
libva-intel-media-driver \
mesa-dri-drivers \
mesa-filesystem \
mesa-libEGL \
mesa-libGL \
mesa-libgbm \
mesa-libglapi \
mesa-libxatracker \
mesa-va-drivers \
mesa-vulkan-drivers
rpm-ostree override replace --from repo='fedora' --experimental --remove=OpenCL-ICD-Loader ocl-icd || true

View File

@@ -0,0 +1,5 @@
#!/usr/bin/env bash
set -euo pipefail
wget https://raw.githubusercontent.com/StevenBlack/hosts/master/alternates/gambling-porn/hosts -O /usr/etc/hosts

View File

@@ -0,0 +1,45 @@
#!/usr/bin/env bash
set -oue pipefail
GITHUB_URL="https://github.com/bikass/kora"
if [ -z "$GITHUB_URL" ]; then
echo "Error: GITHUB_URL is not set."
exit 1
fi
REPO_NAME=$(basename "$GITHUB_URL" .git)
CLONE_DIR="/tmp/clone/$REPO_NAME"
echo "Preparing directory for cloning..."
mkdir -p "$CLONE_DIR"
cd "$CLONE_DIR"
echo "Directory created."
git clone "$GITHUB_URL"
echo "Repo cloned. Copying files..."
if [ -d "./$REPO_NAME/kora" ]; then
echo "Installing kora icon set..."
cp -r "./$REPO_NAME/kora" /usr/share/icons/
fi
if [ -d "./$REPO_NAME/kora-light" ]; then
echo "Installing kora-light icon set..."
cp -r "./$REPO_NAME/kora-light" /usr/share/icons/
fi
if [ -d "./$REPO_NAME/kora-light-panel" ]; then
echo "Installing kora-light-panel icon set..."
cp -r "./$REPO_NAME/kora-light-panel" /usr/share/icons/
fi
if [ -d "./$REPO_NAME/kora-pgrey" ]; then
echo "Installing kora-pgrey icon set..."
cp -r "./$REPO_NAME/kora-pgrey" /usr/share/icons/
fi
echo "Folders copied. Cleaning up!"
rm -drf "$CLONE_DIR"
echo "Cloned repo deleted."
echo "Script finished. Theme installation complete."

View File

@@ -0,0 +1,9 @@
#!/usr/bin/env bash
set -euo pipefail
# find latest version of luminance
LATEST_VERSION=$(curl https://api.github.com/repos/sidevesh/Luminance/releases/latest | grep tag_name | cut -d : -f2 | tr -d "v\", ")
# download & install latest version of luminance
rpm-ostree install https://github.com/sidevesh/Luminance/releases/latest/download/luminance-${LATEST_VERSION}.rpm

View File

@@ -0,0 +1,12 @@
#!/usr/bin/env bash
# Tell this script to exit if there are any errors.
# You should have this in every custom script, to ensure that your completed
# builds actually ran successfully without any errors!
set -oue pipefail
# Download udev rules file
wget https://openrgb.org/releases/release_0.9/60-openrgb.rules
# Move udev rules file to udev rules directory
mv 60-openrgb.rules /usr/lib/udev/rules.d

View File

@@ -0,0 +1,9 @@
#!/usr/bin/env bash
set -euo pipefail
# find latest version of windscribe stable RPM
LATEST_VERSION=$(curl https://api.github.com/repos/Windscribe/Desktop-App/releases/latest | grep tag_name | cut -d : -f2 | tr -d "v\", ")
# download & install latest version of windscribe stable RPM
rpm-ostree install https://github.com/Windscribe/Desktop-App/releases/latest/download/windscribe_${LATEST_VERSION}_x86_64_fedora.rpm

View File

@@ -0,0 +1,18 @@
#!/usr/bin/env bash
set -oue pipefail
echo 'Preparing directory for cloning...'
mkdir -p /tmp/clone/ChromeOS-kde
cd /tmp/clone/ChromeOS-kde
echo 'Directory created.'
git clone https://github.com/vinceliuice/ChromeOS-kde.git
echo 'Repo cloned. Running install script...'
ChromeOS-kde/install.sh
echo 'Install script finished. Removing cloned repo...'
rm -r ChromeOS-kde/
echo 'Cloned repo deleted.'

View File

@@ -0,0 +1,27 @@
#!/usr/bin/env bash
set -euo pipefail
GIT=https://github.com/pkgforge-dev/Citron-AppImage
APPDIR=/usr/libexec/appimages
GITOWNER=$(echo "$GIT" | sed -E 's#https://github.com/([^/]+)/([^/]+)(\.git)*#\1#')
GITREPO=$(echo "$GIT" | sed -E 's#https://github.com/([^/]+)/([^/]+)(\.git)*#\2#')
APPNAME=citron
echo 'Downloading latest version of $APPNAME from $GITOWNER/$GITREPO'.
URL="https://github.com/$GITOWNER/$GITREPO/releases/download/v$(curl https://api.github.com/repos/$GITOWNER/$GITREPO/releases/latest | grep tag_name | cut -d : -f2 | tr -d "v\", ")/Citron-v$(curl https://api.github.com/repos/$GITOWNER/$GITREPO/releases/latest | grep tag_name | cut -d : -f2 | tr -d "v\", ")-anylinux-x86_64_v3.AppImage"
echo "Downloading $URL as $APPDIR/$APPNAME.AppImage"
mkdir -p $APPDIR
curl -L "$URL" -o "$APPDIR/$APPNAME.AppImage"
echo "Download finished! Making $APPNAME executable..."
chmod +x $APPDIR/$APPNAME.AppImage
echo "Creating symlink to /usr/bin/$APPNAME..."
ln -sf $APPDIR/$APPNAME.AppImage /usr/bin/$APPNAME
echo "/usr/bin/$APPNAME symlink created!"

View File

@@ -0,0 +1,18 @@
#!/usr/bin/env bash
set -oue pipefail
echo 'Preparing directory for cloning...'
mkdir -p /tmp/clone
cd /tmp/clone/
echo 'Directory created.'
git clone https://github.com/vinceliuice/Layan-kde.git
echo 'Repo cloned. Running install script...'
Layan-kde/install.sh
echo 'Install script finished. Removing cloned repo...'
rm -r Layan-kde
echo 'Cloned repo deleted.'

View File

@@ -0,0 +1,25 @@
#!/usr/bin/env bash
set -oue pipefail
echo 'Preparing directory for cloning...'
mkdir -p /tmp/clone/
cd /tmp/clone/
echo 'Directory created.'
git clone https://github.com/Notify-ctrl/Plasma-Overdose.git
echo 'Repo cloned. Copying files...'
# theme
cp -r ./Plasma-Overdose/aurorae/ /usr/share/aurorae/themes
# cursors
cp -r ./Plasma-Overdose/cursors /usr/share/icons/CursorsOverdose/
# colorscheme
cp -r ./Plasma-Overdose/colorschemes/* /usr/share/color-schemes/
# global theme
cp -r ./Plasma-Overdose/plasma /usr/share/
echo 'Folders copied. Cleaning up!'
rm -drf Plasma-Overdose/
echo 'Cloned repo deleted.'

View File

@@ -0,0 +1,27 @@
#!/usr/bin/env bash
set -euo pipefail
GIT=https://github.com/Ryubing/Ryujinx
APPDIR=/usr/libexec/appimages
GITOWNER=$(echo "$GIT" | sed -E 's#https://github.com/([^/]+)/([^/]+)(\.git)*#\1#')
GITREPO=$(echo "$GIT" | sed -E 's#https://github.com/([^/]+)/([^/]+)(\.git)*#\2#')
APPNAME=$GITREPO
echo 'Downloading latest version of $APPNAME from $GITOWNER/$GITREPO'.
URL="https://github.com/$GITOWNER/$GITREPO/releases/download/$(curl https://api.github.com/repos/$GITOWNER/$GITREPO/releases/latest | grep tag_name | cut -d : -f2 | tr -d "v\", ")/ryujinx-$(curl https://api.github.com/repos/$GITOWNER/$GITREPO/releases/latest | grep tag_name | cut -d : -f2 | tr -d "v\", ")-x64.AppImage"
echo "Downloading $URL as $APPDIR/$APPNAME.AppImage"
mkdir -p $APPDIR
curl -L "$URL" -o "$APPDIR/$APPNAME.AppImage"
echo "Download finished! Making $APPNAME executable..."
chmod +x $APPDIR/$APPNAME.AppImage
echo "Creating symlink to /usr/bin/$APPNAME..."
ln -sf $APPDIR/$APPNAME.AppImage /usr/bin/$APPNAME
echo "/usr/bin/$APPNAME symlink created!"

View File

@@ -0,0 +1,28 @@
#!/usr/bin/env bash
set -euo pipefail
GIT=https://github.com/SteamGridDB/steam-rom-manager
APPDIR=/usr/libexec/appimages
GITOWNER=$(echo "$GIT" | sed -E 's#https://github.com/([^/]+)/([^/]+)(\.git)*#\1#')
GITREPO=$(echo "$GIT" | sed -E 's#https://github.com/([^/]+)/([^/]+)(\.git)*#\2#')
# APPNAME=$GITREPO
APPNAME=Steam-ROM-Manager # Manually entered because their release name != git repo name
echo 'Downloading latest version of $APPNAME from $GITOWNER/$GITREPO'.
URL="https://github.com/$GITOWNER/$GITREPO/releases/download/v$(curl https://api.github.com/repos/$GITOWNER/$GITREPO/releases/latest | grep tag_name | cut -d : -f2 | tr -d "v\", ")/$APPNAME-$(curl https://api.github.com/repos/$GITOWNER/$GITREPO/releases/latest | grep tag_name | cut -d : -f2 | tr -d "v\", ").AppImage"
echo "Downloading $URL as $APPDIR/$APPNAME.AppImage"
mkdir -p $APPDIR
curl -L "$URL" -o "$APPDIR/$APPNAME.AppImage"
echo "Download finished! Making $APPNAME executable..."
chmod +x $APPDIR/$APPNAME.AppImage
echo "Creating symlink to /usr/bin/$APPNAME..."
ln -sf $APPDIR/$APPNAME.AppImage /usr/bin/$APPNAME
echo "/usr/bin/$APPNAME symlink created!"

View File

@@ -0,0 +1,65 @@
---
# yaml-language-server: $schema=https://schema.blue-build.org/recipe-v1.json
# enter image name here
name: solarpowered-ex
# enter image description here
description: Custom image optimized for AMD PCs on top of Silverblue
# defines base image // not to be changed
base-image: ghcr.io/ublue-os/silverblue-main
# base image is locked to latest // not to be changed
image-version: 41
modules:
# contains repo files for codium, configs and services that will be shared across images
- from-file: shared/files.yml
# kernel selection. select ONE of the following from-file line
# or uncomment all three to opt to use stock fedora kernel
# - from-file: kernels/blu.yml
- from-file: kernels/cachy.yml
# - from-file: kernels/tkg.yml
# removes firefox, unused fonts, undesired gnome packages & other utilities
- from-file: packages/core-discard.yml
# installs necessities such as GUI apps, CLI apps, themes, & replaces mutter packages with patched version
- from-file: packages/core.yml
# image-specific packages module
# systemd services related to image-specific packages
# may also be placed within this module for simplicity.
- from-file: packages/solarpowered-ex.yml
# disables all repos except for fedora and fedora-updates
- from-file: shared/disable-repos.yml
# installs icons packs & nautilus extensions
- from-file: shared/script.yml
# installs shared fonts
- from-file: shared/fonts.yml
# contains gnome extensions that will be shared across all images
# does not contain several other extensions that must be installed locally
- from-file: shared/gnome-extensions.yml
# configures gschema for extensions, desktop, touchpad, and WM prefs
# - from-file: shared/gschema-overrides.yml
# disables NetworkManager-online-service, flatpak update services,
# and enables topgrade updater
- from-file: shared/systemd.yml
# image-specific files module
# copies files into /
- type: files
files:
# create a folder under files/ with the image name
# and place directories and files appropriately.
# source entry should be the same name as the image name.
- source: solarpowered-ex # image name, or folder as named under files/
destination: /
- type: signing

View File

@@ -0,0 +1,65 @@
---
# yaml-language-server: $schema=https://schema.blue-build.org/recipe-v1.json
# enter image name here
name: solarpowered
# enter image description here
description: Custom image optimized for AMD PCs on top of Silverblue
# defines base image // not to be changed
base-image: ghcr.io/ublue-os/silverblue-main
# base image is locked to latest // not to be changed
image-version: 41
modules:
# contains repo files for codium, configs and services that will be shared across images
- from-file: shared/files.yml
# kernel selection. select ONE of the following from-file line
# or uncomment all three to opt to use stock fedora kernel
- from-file: kernels/blu.yml
# - from-file: kernels/cachy.yml
# - from-file: kernels/tkg.yml
# removes firefox, unused fonts, undesired gnome packages & other utilities
- from-file: packages/core-discard.yml
# installs necessities such as GUI apps, CLI apps, themes, & replaces mutter packages with patched version
- from-file: packages/core.yml
# image-specific packages module
# systemd services related to image-specific packages
# may also be placed within this module for simplicity.
- from-file: packages/solarpowered.yml
# disables all repos except for fedora and fedora-updates
- from-file: shared/disable-repos.yml
# installs icons packs & nautilus extensions
- from-file: shared/script.yml
# installs shared fonts
- from-file: shared/fonts.yml
# contains gnome extensions that will be shared across all images
# does not contain several other extensions that must be installed locally
- from-file: shared/gnome-extensions.yml
# configures gschema for extensions, desktop, touchpad, and WM prefs
# - from-file: shared/gschema-overrides.yml
# disables NetworkManager-online-service, flatpak update services,
# and enables topgrade updater
- from-file: shared/systemd.yml
# image-specific files module
# copies files into /
- type: files
files:
# create a folder under files/ with the image name
# and place directories and files appropriately.
# source entry should be the same name as the image name.
- source: solarpowered # image name, or folder as named under files/
destination: /
- type: signing

View File

@@ -0,0 +1,81 @@
---
# yaml-language-server: $schema=https://schema.blue-build.org/recipe-v1.json
name: solarizzed-gnome
description: Based on bazzite-deck-gnome
base-image: ghcr.io/ublue-os/bazzite-deck-gnome
image-version: stable
modules:
- type: files
files:
- source: shared/usr
destination: /usr
- type: dnf
repos:
cleanup: true
files:
- https://raw.githubusercontent.com/terrapkg/subatomic-repos/main/terra.repo
copr:
- tigro/better_fonts
- dusansimic/themes
- sneexy/zen-browser
- ilyaz/LACT
optfix:
- zen
install:
install-weak-deps: false
packages:
# codium
- codium
# prettifying packages
- deepin-sound-theme
- fontconfig-font-replacements
- go-task
- morewaita-icon-theme
- nautilus-extensions
- nautilus-python
- oxygen-sounds
- pop-sound-theme
- rclone
- rclone-browser
- yaru-sound-theme
# misc
- lact
- python3-pyclip
- zen-browser
remove:
packages:
- gnome-tweaks
- type: systemd
system:
enabled:
- lactd.service
- type: default-flatpaks
configurations:
- notify: false
scope: system
install:
- page.tesk.Refine
# extensions
- type: gnome-extensions
install:
- Alphabetical App Grid
- 5425 # Battery time
- Bluetooth Battery Meter
- Night Theme Switcher
- 841 # Freon
- Quick Settings Tweaks
# installs themes & icons
- from-file: shared/script.yml
# installs luminance & windscribe
- from-file: shared/rpms.yml
# installs shared fonts
- from-file: shared/fonts.yml
- type: signing

View File

@@ -0,0 +1,64 @@
---
# yaml-language-server: $schema=https://schema.blue-build.org/recipe-v1.json
name: solarizzed
description: Based on bazzite-deck
base-image: ghcr.io/ublue-os/bazzite-deck
image-version: stable
modules:
# contains repo files for codium
- type: files
files:
- source: shared/etc/yum.repos.d
destination: /etc/yum.repos.d
- source: shared/usr
destination: /usr
- type: rpm-ostree
repos:
# better-fonts repo for fontconfig-font-replacements
- https://copr.fedorainfracloud.org/coprs/hyperreal/better_fonts/repo/fedora-%OS_VERSION%/hyperreal-better_fonts-fedora-%OS_VERSION%.repo
# Koi
- https://copr.fedorainfracloud.org/coprs/birkch/Koi/repo/fedora-%OS_VERSION%/birkch-Koi-fedora-%OS_VERSION%.repo
# zen browser
- https://copr.fedorainfracloud.org/coprs/sneexy/zen-browser/repo/fedora-%OS_VERSION%/sneexy-zen-browser-fedora-%OS_VERSION%.repo
optfix:
- windscribe
- zen
install:
# codium
- codium
# prettifying packages
- adw-gtk3-theme
- deepin-sound-theme
- fontconfig-font-replacements
- Koi
- kvantum
- oxygen-sounds
- pop-sound-theme
- rclone
- rclone-browser
- yaru-sound-theme
# misc
- python3-pyclip
- zen-browser
# installs themes & icons
- type: script
scripts:
- solarizzed/chromeos.sh
- solarizzed/layan.sh
- shared/tela-icon-theme.sh
- shared/qogir-icon-theme.sh
- shared/kora-icon-theme.sh
# citron appimage + /usr/bin link
- solarizzed/citron.sh
snippets:
# auto-fetch & install latest version of windscribe
- 'rpm-ostree install https://github.com/Windscribe/Desktop-App/releases/latest/download/windscribe_$(curl https://api.github.com/repos/Windscribe/Desktop-App/releases/latest | grep tag_name | cut -d : -f2 | tr -d "v\", ")_x86_64_fedora.rpm'
# installs shared fonts
- from-file: shared/fonts.yml
- type: signing

View File

@@ -0,0 +1,27 @@
name: solarpowered-bootc
description: Lenovo T480s image based on Fedora's bootc image.
base-image: quay.io/fedora/fedora-bootc
image-version: 41
modules:
- from-file: shared/files.yml
- from-file: base/base-bootc.yml
- from-file: kernels/blu.yml
- from-file: shared/fonts.yml
- from-file: shared/gnome-extensions.yml
- from-file: shared/script.yml
- from-file: shared/systemd.yml
- type: files
files:
- source: solarpowered
destination: /
- type: signing

View File

@@ -0,0 +1,29 @@
name: solarpowered-ex-bootc
description: Image optimized for AMD PC, based on Fedora's bootc image.
base-image: quay.io/fedora/fedora-bootc
image-version: 41
modules:
- from-file: shared/files.yml
- from-file: base/base-bootc.yml
- from-file: kernels/tkg.yml
- from-file: packages/packages-ex.yml
- from-file: shared/fonts.yml
- from-file: shared/gnome-extensions.yml
- from-file: shared/script.yml
- from-file: shared/systemd.yml
- type: files
files:
- source: solarpowered-ex
destination: /
- type: signing

View File

@@ -0,0 +1,240 @@
---
# yaml-language-server: $schema=https://schema.blue-build.org/recipe-v1.json
# enter image name here
name: autosolarpowered-ex-rawhide
# enter image description here
description: Custom image for AMD machines, based on Vanilla Silverblue
# defines base image
# ---
base-image: quay.io/fedora-ostree-desktops/silverblue
# defines image major version
# ---
image-version: rawhide
modules:
- type: files
files:
- source: shared
destination: /
- type: bling
install:
# rpmfusion instead of negativo17 for rawhide
- rpmfusion
- type: script
scripts:
- shared/nautilus-copy-path.sh
- shared/tela-icon-theme.sh
- shared/qogir-icon-theme.sh
- type: rpm-ostree
repos:
- https://copr.fedorainfracloud.org/coprs/zhangyuannie/butter/repo/fedora-rawhide/zhangyuannie-butter-fedora-rawhide.repo
- https://copr.fedorainfracloud.org/coprs/tigro/better_fonts/repo/fedora-rawhide/tigro-better_fonts-fedora-rawhide.repo
- https://copr.fedorainfracloud.org/coprs/dusansimic/themes/repo/fedora-rawhide/dusansimic-themes-fedora-rawhide.repo
- https://copr.fedorainfracloud.org/coprs/shdwchn10/AllTheTools/repo/fedora-rawhide/shdwchn10-AllTheTools-fedora-rawhide.repo
- https://copr.fedorainfracloud.org/coprs/sneexy/zen-browser/repo/fedora-rawhide/sneexy-zen-browser-fedora-rawhide.repo
optfix:
- zen
install:
- alsa-firmware
- ffmpeg
- ffmpeg-libs
- ffmpegthumbnailer
- fontconfig-font-replacements
- gnome-epub-thumbnailer
- heif-pixbuf-loader
- intel-media-driver
- libcamera
- libcamera-gstreamer
- libcamera-ipa
- libcamera-tools
- libva-utils
- pipewire-plugin-libcamera
- pipewire-plugin-vulkan
- pulseaudio-utils
- uxplay
- vulkan-headers
- apr
- apr-util
- bootc
- distrobox
- fastfetch
- fish
- fzf
- ifuse
- inxi
- just
- kernel-tools
- lm_sensors
- lzip
- net-tools
- nvme-cli
- nvtop
- openssl
- smartmontools
- squashfs-tools
- starship
- symlinks
- tcpdump
- topgrade
- traceroute
- wireguard-tools
- wl-clipboard
- zstd
- baobab
- butter
- codium
- firewall-config
- gnome-boxes
- gnome-tweaks
- nautilus-extensions
- nautilus-python
- ptyxis
- zen-browser
- flatpak-spawn
- fuse
- grub2-tools-extra
- hunspell
- hunspell-en
- ibus-mozc
- input-remapper
- libappindicator
- libratbag-ratbagd
- ocl-icd
- openrgb-udev-rules
- steam-devices
- xorg-x11-server-Xwayland
- adw-gtk3-theme
- fonts-tweak-tool
- morewaita-icon-theme
- deepin-sound-theme
- oxygen-sounds
- pop-sound-theme
- yaru-sound-theme
- android-tools
- python3-pyclip
- waydroid
# nonfree-codecs
- ffmpeg
- gstreamer1-plugin-libav
- gstreamer1-plugins-bad-free-extras
- gstreamer1-plugins-bad-freeworld
- gstreamer1-plugins-ugly
- gstreamer1-vaapi
- mesa-va-drivers-freeworld
remove:
- fedora-bookmarks
- fedora-chromium-config
- fedora-chromium-config-gnome
- fedora-flathub-remote
- fedora-repos-archive
- fedora-repos-ostree
- fedora-third-party
- fedora-workstation-repositories
- fedora-workstation-backgrounds
- gnome-classic-session
- gnome-shell-extension-apps-menu
- gnome-shell-extension-background-logo
- gnome-shell-extension-launch-new-instance
- gnome-shell-extension-places-menu
- gnome-shell-extension-window-list
- gnome-software
- gnome-software-rpm-ostree
- gnome-system-monitor
- gnome-tour
- totem-video-thumbnailer
- default-fonts-cjk-sans
- firefox
- firefox-langpacks
- OpenCL-ICD-Loader
- rygel
- yelp
# free codecs
- fdk-aac-free
- ffmpeg-free
- libavcodec-free
- libavdevice-free
- libavfilter-free
- libavformat-free
- libavutil-free
- libpostproc-free
- libswresample-free
- libswscale-free
- mesa-va-drivers
replace:
- from-repo: https://copr.fedorainfracloud.org/coprs/trixieua/mutter-patched/repo/fedora-rawhide/trixieua-mutter-patched-fedora-rawhide.repo
packages:
- gnome-shell
- mutter
- mutter-common
- xorg-x11-server-Xwayland
- type: rpm-ostree
optfix:
- windscribe
# installs luminance & windscribe directly from github releases
- from-file: shared/rpms.yml
# installs shared fonts
- from-file: shared/fonts.yml
# disables NetworkManager-online-service, flatpak update services,
# and enables topgrade updater
- from-file: shared/systemd.yml
# kernel selection
- type: rpm-ostree
repos:
- https://copr.fedorainfracloud.org/coprs/bieszczaders/kernel-cachyos-addons/repo/fedora-rawhide/bieszczaders-kernel-cachyos-addons-fedora-rawhide.repo #cachy uksmd
- https://copr.fedorainfracloud.org/coprs/bieszczaders/kernel-cachyos/repo/fedora-rawhide/bieszczaders-kernel-cachyos-fedora-rawhide.repo #cachy kernel
install:
- libcap-ng
- libcap-ng-devel
- procps-ng
- procps-ng-devel
- uksmd
- type: script
snippets:
- "echo 'Enable SElinux policy' && setsebool -P domain_kernel_load_modules on"
- "echo 'CachyOS kernel override' && rpm-ostree override remove kernel kernel-core kernel-modules kernel-modules-core kernel-modules-extra --install kernel-cachyos"
- type: systemd
system:
enabled:
- uksmd.service
# image-specific packages module
# base/core packages are all handled by solarpowered-raw
# and should not be added here.
# systemd services related to image-specific packages
# may also be placed within this module for simplicity
# ---
- type: rpm-ostree
repos:
- https://copr.fedorainfracloud.org/coprs/ilyaz/LACT/repo/fedora-rawhide/ilyaz-LACT-fedora-rawhide.repo #lact
install:
- lact-libadwaita
- nvtop
- type: systemd
system:
enabled:
- lactd.service
# disables all repos except for fedora and fedora-updates
- from-file: shared/disable-repos.yml
# files module
# copies files into /
# ---
- type: files
files:
# create a folder under files/ with the image name
# and place directories and files appropriately
# source entry should be the same name as the image name
- source: solarpowered-ex # image name, or folder as named under files/
destination: /
- type: signing

View File

@@ -0,0 +1,58 @@
name: solarpowered-raw
description: Custom desktop image based on the official, vanilla Fedora Silverblue image
base-image: quay.io/fedora-ostree-desktops/silverblue
image-version: 41
modules:
# this image obsoletes the need to specify many modules in derivative images
# and will only require the following modules:
# 1. image-specific packages (& related systemd services), if any
# 2. image-specific kernel
# contains repo files for codium, configs and services that will be shared across images
- from-file: shared/files.yml
# installs RPMFusion and dconf updater
- type: bling
install:
- rpmfusion
# - dconf-update-service
# installs negativo17-multimedia-repo & Cosign
# installed separately from the shared scripts module to ensure icons are installed properly
- type: script
scripts:
# - cosign.sh
- negativo17-multimedia-repo.sh
# installs and removes packages, this will apply to all solarpowered images
# includes installation entries for audio & codecs, CLI utilities, GUI apps,
# other system tools, prettifying packages, printing drivers for EPSON, and waydroid
# also includes removal entries for undesired fedora, gnome, free multimedia packages,
# and native installation of firefox
# also replaces gnome-shell & mutter packages with patched version
- from-file: packages/packages-raw.yml
# contains direct links for luminance & windscribe
- from-file: shared/shared-rpms.yml
# installs icons packs & nautilus extensions
- from-file: shared/script.yml
# installs shared fonts
- from-file: shared/fonts.yml
# contains gnome extensions that will be shared across all images
# does not contain several other extensions that must be installed locally
- from-file: shared/gnome-extensions.yml
# configures gschema for extensions, desktop, touchpad, and WM prefs
- from-file: shared/gschema-overrides.yml
# disables NetworkManager-online-service, flatpak update services,
# and enables topgrade updater
- from-file: shared/systemd.yml
- type: signing

View File

@@ -0,0 +1,247 @@
---
# yaml-language-server: $schema=https://schema.blue-build.org/recipe-v1.json
# enter image name here
name: autosolarpowered-rawhide
# enter image description here
description: Custom image for Lenovo T480/s devices, based on Vanilla Silverblue
# defines base image
# ---
base-image: quay.io/fedora-ostree-desktops/silverblue
# defines image major version
# ---
image-version: rawhide
modules:
- type: files
files:
- source: shared
destination: /
- type: bling
install:
# rpmfusion instead of negativo17 for rawhide
- rpmfusion
- type: script
scripts:
- shared/nautilus-copy-path.sh
- shared/tela-icon-theme.sh
- shared/qogir-icon-theme.sh
- type: rpm-ostree
repos:
- https://copr.fedorainfracloud.org/coprs/zhangyuannie/butter/repo/fedora-rawhide/zhangyuannie-butter-fedora-rawhide.repo
- https://copr.fedorainfracloud.org/coprs/tigro/better_fonts/repo/fedora-rawhide/tigro-better_fonts-fedora-rawhide.repo
- https://copr.fedorainfracloud.org/coprs/dusansimic/themes/repo/fedora-rawhide/dusansimic-themes-fedora-rawhide.repo
- https://copr.fedorainfracloud.org/coprs/shdwchn10/AllTheTools/repo/fedora-rawhide/shdwchn10-AllTheTools-fedora-rawhide.repo
- https://copr.fedorainfracloud.org/coprs/sneexy/zen-browser/repo/fedora-rawhide/sneexy-zen-browser-fedora-rawhide.repo
optfix:
- zen
install:
- alsa-firmware
- ffmpeg
- ffmpeg-libs
- ffmpegthumbnailer
- fontconfig-font-replacements
- gnome-epub-thumbnailer
- heif-pixbuf-loader
- intel-media-driver
- libcamera
- libcamera-gstreamer
- libcamera-ipa
- libcamera-tools
- libva-utils
- pipewire-plugin-libcamera
- pipewire-plugin-vulkan
- pulseaudio-utils
- uxplay
- vulkan-headers
- apr
- apr-util
- bootc
- distrobox
- fastfetch
- fish
- fzf
- ifuse
- inxi
- just
- kernel-tools
- lm_sensors
- lzip
- net-tools
- nvme-cli
- nvtop
- openssl
- smartmontools
- squashfs-tools
- starship
- symlinks
- tcpdump
- topgrade
- traceroute
- wireguard-tools
- wl-clipboard
- zstd
- baobab
- butter
- codium
- firewall-config
- gnome-boxes
- gnome-tweaks
- nautilus-extensions
- nautilus-python
- ptyxis
- zen-browser
- flatpak-spawn
- fuse
- grub2-tools-extra
- hunspell
- hunspell-en
- ibus-mozc
- input-remapper
- libappindicator
- libratbag-ratbagd
- ocl-icd
- openrgb-udev-rules
- steam-devices
- xorg-x11-server-Xwayland
- adw-gtk3-theme
- fonts-tweak-tool
- morewaita-icon-theme
- deepin-sound-theme
- oxygen-sounds
- pop-sound-theme
- yaru-sound-theme
- android-tools
- python3-pyclip
- waydroid
# nonfree-codecs
- ffmpeg
- gstreamer1-plugin-libav
- gstreamer1-plugins-bad-free-extras
- gstreamer1-plugins-bad-freeworld
- gstreamer1-plugins-ugly
- gstreamer1-vaapi
- mesa-va-drivers-freeworld
remove:
- fedora-bookmarks
- fedora-chromium-config
- fedora-chromium-config-gnome
- fedora-flathub-remote
- fedora-repos-archive
- fedora-repos-ostree
- fedora-third-party
- fedora-workstation-repositories
- fedora-workstation-backgrounds
- gnome-classic-session
- gnome-shell-extension-apps-menu
- gnome-shell-extension-background-logo
- gnome-shell-extension-launch-new-instance
- gnome-shell-extension-places-menu
- gnome-shell-extension-window-list
- gnome-software
- gnome-software-rpm-ostree
- gnome-system-monitor
- gnome-tour
- totem-video-thumbnailer
- default-fonts-cjk-sans
- firefox
- firefox-langpacks
- OpenCL-ICD-Loader
- rygel
- yelp
# free codecs
- fdk-aac-free
- ffmpeg-free
- libavcodec-free
- libavdevice-free
- libavfilter-free
- libavformat-free
- libavutil-free
- libpostproc-free
- libswresample-free
- libswscale-free
- mesa-va-drivers
replace:
- from-repo: https://copr.fedorainfracloud.org/coprs/trixieua/mutter-patched/repo/fedora-rawhide/trixieua-mutter-patched-fedora-rawhide.repo
packages:
- gnome-shell
- mutter
- mutter-common
- xorg-x11-server-Xwayland
- type: rpm-ostree
optfix:
- windscribe
# installs luminance & windscribe directly from github releases
- from-file: shared/rpms.yml
# installs shared fonts
- from-file: shared/fonts.yml
# disables NetworkManager-online-service, flatpak update services,
# and enables topgrade updater
- from-file: shared/systemd.yml
# kernel selection // blue doesn't have a successful build for rawhide
# - type: rpm-ostree
# replace:
# - from-repo: https://copr.fedorainfracloud.org/coprs/sentry/kernel-blu/repo/fedora-rawhide/sentry-kernel-blu-fedora-rawhide.repo
# packages:
# - kernel
# - kernel-core
# - kernel-headers
# - kernel-modules
# - kernel-modules-core
# - kernel-modules-extra
# image-specific packages module
# base/core packages are all handled by solarpowered-raw
# and should not be added here.
# systemd services related to image-specific packages
# may also be placed within this module for simplicity
# ---
- type: rpm-ostree
repos:
- https://copr.fedorainfracloud.org/coprs/abn/throttled/repo/fedora-rawhide/abn-throttled-fedora-rawhide.repo
- https://copr.fedorainfracloud.org/coprs/sneexy/python-validity/repo/fedora-rawhide/sneexy-python-validity-fedora-rawhide.repo
install:
- igt-gpu-tools
- fprintd-clients
- fprintd-clients-pam
- open-fprintd
- python3-validity
- tlp
- tlp-rdw
- throttled
- zcfan
remove:
- fprintd
- fprintd-pam
- thermald
- tuned-ppd
- tuned
- type: systemd
system:
enabled:
- tlp.service
masked:
- systemd-rfkill.service
- systemd-rfkill.socket
# disables all repos except for fedora and fedora-updates
- from-file: shared/disable-repos.yml
# files module
# copies files into /
# ---
- type: files
files:
# create a folder under files/ with the image name
# and place directories and files appropriately
# source entry should be the same name as the image name
- source: solarpowered # image name, or folder as named under files/
destination: /
- type: signing

View File

@@ -0,0 +1,24 @@
modules:
- type: rpm-ostree
remove:
- firefox
- firefox-langpacks
- google-noto-sans-balinese-fonts
- google-noto-sans-javanese-fonts
- google-noto-sans-sundanese-fonts
- htop
- rygel
- ublue-os-update-services
#unnecessary gnomies
- gnome-software
- gnome-system-monitor
- gnome-tour
- yelp
#fedora default gnome extensions
- gnome-shell-extension-apps-menu
- gnome-shell-extension-background-logo
- gnome-shell-extension-launch-new-instance
- gnome-shell-extension-places-menu
- gnome-shell-extension-window-list
#gnome xorg
- gnome-classic-session

View File

@@ -0,0 +1,64 @@
modules:
- type: rpm-ostree
repos:
- https://copr.fedorainfracloud.org/coprs/hyperreal/better_fonts/repo/fedora-%OS_VERSION%/hyperreal-better_fonts-fedora-%OS_VERSION%.repo #better fonts
- https://copr.fedorainfracloud.org/coprs/zhangyuannie/butter/repo/fedora-%OS_VERSION%/zhangyuannie-butter-fedora-%OS_VERSION%.repo #butter
- https://copr.fedorainfracloud.org/coprs/dusansimic/themes/repo/fedora-%OS_VERSION%/dusansimic-themes-fedora-%OS_VERSION%.repo #morewaita
- https://copr.fedorainfracloud.org/coprs/shdwchn10/AllTheTools/repo/fedora-%OS_VERSION%/shdwchn10-AllTheTools-fedora-%OS_VERSION%.repo #starship & topgrade
- https://copr.fedorainfracloud.org/coprs/sneexy/zen-browser/repo/fedora-%OS_VERSION%/sneexy-zen-browser-fedora-%OS_VERSION%.repo #zen
optfix:
- windscribe
- zen
install:
- baobab
- butter
- codium
- epson-inkjet-printer-escpr
- epson-inkjet-printer-escpr2
- fish
- firewall-config
- fontconfig-font-replacements
- gnome-boxes
- hunspell
- hunspell-en
- ibus-mozc
- ifuse
- input-remapper
- inxi
- lm_sensors
- libappindicator
- ptyxis
- pulseaudio-utils
- rsms-inter-fonts
- starship
- steam-devices
- topgrade
- uxplay
- wl-clipboard
- xorg-x11-server-Xwayland
- zen-browser
- openssl
- nautilus-python
- nautilus-extensions
- https://github.com/sidevesh/Luminance/releases/download/1.1.0/luminance-1.1.0.rpm
# extra niceties
- deepin-sound-theme
- fastfetch
- fonts-tweak-tool
- morewaita-icon-theme
- oxygen-sounds
- pop-sound-theme
- yaru-sound-theme
# waydroid
- android-tools
- lzip
- waydroid
# windscribe
- https://github.com/Windscribe/Desktop-App/releases/download/v2.14.4/windscribe_2.14.4_guinea_pig_x86_64_fedora.rpm
replace:
- from-repo: https://copr.fedorainfracloud.org/coprs/trixieua/mutter-patched/repo/fedora-%OS_VERSION%/trixieua-mutter-patched-fedora-%OS_VERSION%.repo
packages:
- gnome-shell
- mutter
- mutter-common
- xorg-x11-server-Xwayland

View File

@@ -0,0 +1,204 @@
modules:
- type: bling
install:
- rpmfusion
- type: rpm-ostree
repos:
- https://copr.fedorainfracloud.org/coprs/zhangyuannie/butter/repo/fedora-%OS_VERSION%/zhangyuannie-butter-fedora-%OS_VERSION%.repo #butter
- https://copr.fedorainfracloud.org/coprs/dusansimic/themes/repo/fedora-%OS_VERSION%/dusansimic-themes-fedora-%OS_VERSION%.repo #morewaita
- https://copr.fedorainfracloud.org/coprs/ilyaz/LACT/repo/fedora-%OS_VERSION%/ilyaz-LACT-fedora-%OS_VERSION%.repo #lact
- https://copr.fedorainfracloud.org/coprs/shdwchn10/AllTheTools/repo/fedora-%OS_VERSION%/shdwchn10-AllTheTools-fedora-%OS_VERSION%.repo #starship & topgrade
- https://copr.fedorainfracloud.org/coprs/ublue-os/staging/repo/fedora-%OS_VERSION%/ublue-os-staging-fedora-%OS_VERSION%.repo # ublue-os staging
- https://copr.fedorainfracloud.org/coprs/sneexy/zen-browser/repo/fedora-%OS_VERSION%/sneexy-zen-browser-fedora-%OS_VERSION%.repo #zen browser
optfix:
- windscribe
- zen
install:
- alsa-ucm
- alsa-utils
- android-udev-rules
- anthy-unicode
- apr
- apr-util
- audit
- audit-rules
- avahi-gobject
- avahi-tools
- baobab
- bluez-cups
- buildah
- cairo
- cldr-emoji-annotation
- cldr-emoji-annotation-dtd
- cups
- cups-filters
- dbus-glib
- dconf
- default-fonts-cjk-mono
- default-fonts-cjk-serif
- default-fonts-core-emoji
- default-fonts-core-math
- default-fonts-core-mono
- default-fonts-core-serif
- default-fonts-other-mono
- default-fonts-other-sans
- default-fonts-other-serif
- desktop-backgrounds-gnome
- dhcp-client
- dhcp-common
- distribution-gpg-keys
- djvulibre-libs
- dnf5-plugins
- dotconf
- firewall-config
- flatpak
- flatpak-spawn
- fprintd-pam
- fuse
- fuse-common
- fuse-libs
- fuse-overlayfs
- fuse3
- fuse3-libs
- fwupd
- gamemode
- gdm
- ghostscript
- git
- git-credential-libsecret
- glib-networking
- gnome-boxes
- gnome-bluetooth
- gnome-browser-connector
- gnome-control-center
- gnome-disk-utility
- gnome-epub-thumbnailer
- gnome-session-wayland-session
- gnome-shell
- gnome-user-share
- google-noto-color-emoji-fonts
- google-noto-sans-cjk-fonts
- gsettings-desktop-schemas
- gstreamer1-plugin-libav
- gstreamer1-plugin-openh264
- gstreamer1-plugins-bad-free
- gstreamer1-plugins-good
- gstreamer1-plugins-ugly-free
- gutenprint
- gvfs-afc
- gvfs-afp
- gvfs-archive
- gvfs-client
- gvfs-fuse
- gvfs-goa
- gvfs-gphoto2
- gvfs-mtp
- gvfs-nfs
- gvfs-smb
- ibus-anthy
- ibus-gtk4
- ifuse
- iwlwifi-dvm-firmware
- iwlwifi-mvm-firmware
- kernel-modules-extra
- langpacks-core-en
- mesa-dri-drivers
- mesa-libEGL
- mesa-va-drivers
- mesa-vulkan-drivers
- ModemManager
- mutter
- nautilus
- nss-mdns
- NetworkManager
- NetworkManager-adsl
- NetworkManager-bluetooth
- NetworkManager-config-connectivity-fedora
- NetworkManager-openconnect-gnome
- NetworkManager-openvpn-gnome
- NetworkManager-ppp
- NetworkManager-pptp
- NetworkManager-pptp-gnome
- NetworkManager-ssh-gnome
- NetworkManager-vpnc-gnome
- NetworkManager-wifi
- NetworkManager-wwan
- PackageKit-command-not-found
- PackageKit-gstreamer-plugin
- PackageKit-gtk3-module
- pango
- pipewire
- pipewire-alsa
- pipewire-pulseaudio
- pipewire-utils
- plymouth
- polkit
- ptyxis
- python3-pyxdg
- rsms-inter-fonts
- samba-client
- sane-backends-drivers-scanners
- sushi
- system-config-printer-udev
- wireguard-tools
- wireplumber
- xdg-dbus-proxy
- xdg-desktop-portal
- xdg-desktop-portal-gnome
- xdg-desktop-portal-gtk
- xdg-user-dirs-gtk
- xdg-utils
# basic stuff
- adw-gtk3-theme
- alsa-firmware
- android-tools
- butter
- codium
- deepin-sound-theme
- distrobox
- epson-inkjet-printer-escpr
- epson-inkjet-printer-escpr2
- fastfetch
- ffmpeg
- ffmpegthumbnailer
- fish
- gnome-tweaks
- heif-pixbuf-loader
- hunspell
- hunspell-en
- inxi
- just
- libappindicator
- libheif-freeworld
- libheif-tools
- libva-utils
- lm_sensors
- lzip
- morewaita-icon-theme
- nautilus-extensions
- nautilus-python
- openrgb
- openrgb-udev-rules
- openssl
- oxygen-sounds
- pop-sound-theme
- starship
- topgrade
- unzip
- uxplay
- waydroid
- wl-clipboard
- xorg-x11-server-Xwayland
- yaru-sound-theme
- zen-browser
- zstd
- https://github.com/sidevesh/Luminance/releases/download/1.1.0/luminance-1.1.0.rpm
- https://github.com/Windscribe/Desktop-App/releases/download/v2.13.8/windscribe_2.13.8_x86_64_fedora.rpm
replace:
- from-repo: https://copr.fedorainfracloud.org/coprs/trixieua/mutter-patched/repo/fedora-%OS_VERSION%/trixieua-mutter-patched-fedora-%OS_VERSION%.repo
packages:
- gnome-shell
- mutter
- mutter-common
- xorg-x11-server-Xwayland